
From: William Lee Irwin III <wli@holomorphy.com>

FLUSH_BEGIN() is a nop at the moment, so the mm variable for its argument
trips a warning.  Pass vma->vm_mm directly instead.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sparc/mm/srmmu.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

diff -puN arch/sparc/mm/srmmu.c~sparc32-turbosparc-flush-warnings arch/sparc/mm/srmmu.c
--- 25/arch/sparc/mm/srmmu.c~sparc32-turbosparc-flush-warnings	2004-08-04 22:37:24.734602736 -0700
+++ 25-akpm/arch/sparc/mm/srmmu.c	2004-08-04 22:37:24.756599392 -0700
@@ -1697,9 +1697,7 @@ static void turbosparc_flush_cache_mm(st
 
 static void turbosparc_flush_cache_range(struct vm_area_struct *vma, unsigned long start, unsigned long end)
 {
-	struct mm_struct *mm = vma->vm_mm;
-
-	FLUSH_BEGIN(mm)
+	FLUSH_BEGIN(vma->vm_mm)
 	flush_user_windows();
 	turbosparc_idflash_clear();
 	FLUSH_END
@@ -1750,9 +1748,7 @@ static void turbosparc_flush_tlb_mm(stru
 
 static void turbosparc_flush_tlb_range(struct vm_area_struct *vma, unsigned long start, unsigned long end)
 {
-	struct mm_struct *mm = vma->vm_mm;
-
-	FLUSH_BEGIN(mm)
+	FLUSH_BEGIN(vma->vm_mm)
 	srmmu_flush_whole_tlb();
 	FLUSH_END
 }
_
